systemd upstream sysusers tests fails

Bug #1776654 reported by Thadeu Lima de Souza Cascardo on 2018-06-13
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
Eoan
Undecided
Unassigned
Focal
Undecided
Unassigned
systemd (Ubuntu)
Undecided
dann frazier
Bionic
Undecided
dann frazier
Eoan
Undecided
dann frazier
Focal
Undecided
dann frazier

Bug Description

[impact]

TEST-21-SYSUSERS autopkgtest fails

[test case]

see original description

[regression potential]

any regression would be limited to incorrect pass/fail of TEST-21-SYSUSERS

[scope]

TEST-21-SYSUSERS does not exist in Xenial, it is first contained in Bionic. This is needed for B, E, and F.

[original description]

https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-cosmic-canonical-kernel-team-bootstrap/cosmic/amd64/s/systemd/20180613_003352_38c07@/log.gz

========== TEST-21-SYSUSERS ==========
make: Entering directory '/tmp/autopkgtest.phv1ss/build.sqb/src/test/TEST-21-SYSUSERS'
TEST CLEANUP: Sysuser-related tests
TEST SETUP: Sysuser-related tests
TEST RUN: Sysuser-related tests
*** Running test-1.input
*** Running test-2.input
*** Running test-3.input
*** Running test-4.input
*** Running test unhappy-1.input
--- /var/tmp/systemd-test.TjNA7s/tmp/err 2018-06-13 00:22:12.805061468 +0000
+++ unhappy-1.expected-err 2018-01-28 15:58:17.000000000 +0000
@@ -1 +1 @@
-Creating user xxx (n/a) with uid 312 and gid 310.
+Failed to parse UID: '9999999999': Numerical result out of range
**** Unexpected error output for unhappy-1.input
Creating user xxx (n/a) with uid 312 and gid 310.
make: *** [run] Error 1
Makefile:4: recipe for target 'run' failed
make: Leaving directory '/tmp/autopkgtest.phv1ss/build.sqb/src/test/TEST-21-SYSUSERS'

FAILED TESTS: test/TEST-21-SYSUSERS
autopkgtest [00:22:13]: test upstream: -----------------------]
upstream FAIL non-zero exit status 1

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1776654

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Dimitri John Ledkov (xnox) wrote :

Does this still fail with v239 which has now landed?

Changed in systemd (Ubuntu Cosmic):
status: New → Incomplete
no longer affects: systemd (Ubuntu Cosmic)
tags: added: cosmic
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu Cosmic) because there has been no activity for 60 days.]

Changed in linux (Ubuntu Cosmic):
status: Incomplete → Expired
Launchpad Janitor (janitor) wrote :

[Expired for systemd (Ubuntu) because there has been no activity for 60 days.]

Changed in systemd (Ubuntu):
status: Incomplete → Expired
dann frazier (dannf) wrote :

Notice in the log in comment #6 that the unexpected error we are seeing for "unhappy-2" is the expected error for "unhappy-1".

I wonder if there's a race here:

        # tests for error conditions
        for f in unhappy-*.input; do
                echo "*** Running test $f"
                rm -f $TESTDIR/etc/*
                cp $f $TESTDIR/usr/lib/sysusers.d/test.conf
                systemd-sysusers --root=$TESTDIR 2> /dev/null
                journalctl -t systemd-sysusers -o cat | tail -n1 > $TESTDIR/tmp/err

That is, is it guaranteed that journalctl will see the errors from systemd-sysusers immediately? Is there something we could use to force it? Is that what 'journalctl --flush' does?

dann frazier (dannf) wrote :
Changed in linux (Ubuntu Bionic):
status: New → Invalid
Changed in linux (Ubuntu Cosmic):
status: Expired → Invalid
Changed in linux (Ubuntu Eoan):
status: New → Invalid
Changed in linux (Ubuntu Focal):
status: Expired → Invalid
Changed in systemd (Ubuntu Focal):
status: Expired → In Progress
Changed in systemd (Ubuntu Eoan):
status: New → In Progress
Changed in systemd (Ubuntu Bionic):
status: New → In Progress
assignee: nobody → dann frazier (dannf)
Changed in systemd (Ubuntu Eoan):
assignee: nobody → dann frazier (dannf)
Changed in systemd (Ubuntu Focal):
assignee: nobody → dann frazier (dannf)
dann frazier (dannf) on 2020-01-28
Changed in systemd (Ubuntu Focal):
status: In Progress → Fix Committed
Dan Streetman (ddstreet) on 2020-04-14
tags: added: ddstreet
Dan Streetman (ddstreet) on 2020-04-20
description: updated

Hello Thadeu, or anyone else affected,

Accepted systemd into eoan-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/systemd/242-7ubuntu3.8 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-eoan to verification-done-eoan. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-eoan. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in systemd (Ubuntu Eoan):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-eoan
Łukasz Zemczak (sil2100) wrote :

Hello Thadeu, or anyone else affected,

Accepted systemd into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/systemd/237-3ubuntu10.40 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in systemd (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed-bionic

All autopkgtests for the newly accepted systemd (242-7ubuntu3.8) for eoan have finished running.
The following regressions have been reported in tests triggered by the package:

systemd/242-7ubuntu3.8 (ppc64el)
prometheus-postgres-exporter/unknown (armhf)
gnome-desktop3/3.34.2-2ubuntu1~19.10.1 (armhf)
openssh/1:8.0p1-6build1 (s390x, i386, ppc64el, arm64, armhf, amd64)
snapd/2.42.1+19.10 (i386)
udisks2/unknown (armhf)
umockdev/0.13.2-1 (armhf)
sks/unknown (armhf)
network-manager/1.20.4-2ubuntu2.2 (ppc64el, arm64)
asterisk/unknown (armhf)
logrotate/unknown (armhf)
lxc/3.0.4-0ubuntu1 (i386)
netplan.io/0.98-0ubuntu1 (amd64)
dbus/unknown (armhf)
gvfs/1.42.1-1ubuntu1 (arm64)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/eoan/update_excuses.html#systemd

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

All autopkgtests for the newly accepted systemd (237-3ubuntu10.40) for bionic have finished running.
The following regressions have been reported in tests triggered by the package:

gvfs/1.36.1-0ubuntu1.3.3 (amd64)
prometheus-postgres-exporter/unknown (armhf)
systemd/237-3ubuntu10.40 (i386, ppc64el)
umockdev/0.11.1-1 (armhf)
linux-hwe-5.0/5.0.0-47.51~18.04.1 (armhf)
kde4libs/4:4.14.38-0ubuntu3.1 (armhf)
util-linux/unknown (armhf)
nftables/unknown (armhf)
linux-raspi2-5.3/5.3.0-1023.25~18.04.1 (armhf)
netplan.io/0.98-0ubuntu1~18.04.1 (i386)
openssh/1:7.6p1-4ubuntu0.3 (arm64, i386, armhf, ppc64el, s390x, amd64)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/bionic/update_excuses.html#systemd

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Dan Streetman (ddstreet) wrote :

TEST-21 did not fail for any arch for autopkgtests on bionic and eoan.

tags: added: verification-done verification-done-bionic verification-done-eoan
removed: verification-needed verification-needed-bionic verification-needed-eoan
Dan Streetman (ddstreet) wrote :

This was fixed in Debian at version 244.2-1, which is earlier than the version in focal, so this is fix released for focal.

Changed in systemd (Ubuntu Focal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package systemd - 242-7ubuntu3.8

---------------
systemd (242-7ubuntu3.8) eoan; urgency=medium

  * d/t/logind: skip if nonexistent /sys/power/state (LP: #1862657)
  * d/p/lp1859862-network-Do-not-disable-IPv6-by-writing-to-sysctl.patch:
    - enable ipv6 when needed (LP: #1859862)
  * d/p/lp1858412-journalctl-allow-running-vacuum-on-remote-journals-t.patch:
    - allow vacuuming journal 'root' dir (LP: #1858412)
  * d/rules: use meson --print-errorlogs instead of cat testlog
    - (LP: #1870811)
  * d/p/lp1776654-test-Synchronize-journal-before-reading-from-it.patch:
    - sync journal before reading from it (LP: #1776654)
  * d/p/lp1837914-journal-do-not-trigger-assertion-when-journal_file_c.patch:
    - do not crash if NULL passted to journal destructor (LP: #1837914)
  * d/e/initramfs-tools/hooks/udev:
    - Follow symlinks when finding link files to copy into initramfs
      (LP: #1868892)

 -- Dan Streetman <email address hidden> Mon, 20 Apr 2020 09:44:51 -0400

Changed in systemd (Ubuntu Eoan):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for systemd has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package systemd - 237-3ubuntu10.40

---------------
systemd (237-3ubuntu10.40) bionic; urgency=medium

  * d/t/logind: skip if nonexistent /sys/power/state (LP: #1862657)
  * d/p/lp1839290-Change-job-mode-of-manager-triggered-restarts-to-JOB.patch:
    - when restarting service after failure, replace existing queued jobs
      (LP: #1839290)
  * d/p/lp1867421-70-mouse.hwdb-Set-DPI-for-MS-Classic-IntelliMouse.patch:
    - fix resolution of IntelliMouse (LP: #1867421)
  * d/p/lp1858412-journalctl-allow-running-vacuum-on-remote-journals-t.patch:
    - allow vacuuming journal 'root' dir (LP: #1858412)
  * d/p/lp1862232/0001-network-add-more-log-messages-in-configuring-DHCP4-c.patch,
    d/p/lp1862232/0002-network-add-more-log-messages-in-configuring-DHCP6-c.patch,
    d/p/lp1862232/0003-network-also-check-that-Hostname-is-a-valid-DNS-doma.patch,
    d/p/lp1862232/0004-network-use-free_and_replace.patch,
    d/p/lp1862232/0005-network-DHCP-ignore-error-in-setting-hostname-when-i.patch,
    d/p/lp1862232/0006-man-mention-that-Hostname-for-DHCP-must-be-a-valid-D.patch,
    d/p/lp1862232/0007-resolve-fix-error-handling-of-dns_name_is_valid.patch:
    - do not fail network setup if hostname is not valid (LP: #1862232)
  * d/t/systemd-fsckd: Skip test on arm64 (LP: #1870194)
  * d/p/lp1870589-seccomp-rework-how-the-S-UG-ID-filter-is-installed.patch:
    - fix test-seccomp failure (LP: #1870589)
  * d/rules: use meson --print-errorlogs instead of cat testlog
    - (LP: #1870811)
  * d/p/lp1776654-test-Synchronize-journal-before-reading-from-it.patch:
    - sync journal before reading from it (LP: #1776654)
  * d/p/lp1837914-journal-do-not-trigger-assertion-when-journal_file_c.patch:
    - do not crash if NULL passted to journal destructor (LP: #1837914)
  * d/e/initramfs-tools/hooks/udev:
    - Follow symlinks when finding link files to copy into initramfs
      (LP: #1868892)

 -- Dan Streetman <email address hidden> Mon, 20 Apr 2020 10:12:49 -0400

Changed in systemd (Ubuntu Bionic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers